#include <bits/stdc++.h>
using namespace std;
int n, niz[100000009], i, mx, j, a[100000009], g;
bool isti;

int main () {
cin >> n;
for (i=1; i<=n; i++) {
    cin >> niz[i];
    a[i]=niz[i];
}
sort(a+1, a+1+n);

for (i=1; i<n; i++) {
        if (g>0)
        break;
    for (j=n; j>i; j--) {
         if(niz[j]==niz[i])
             isti=true;
        if (niz[j]==a[n-i+1] and niz[j]!=niz[i]) {
            swap(niz[j], niz[i]);
            g++;
            break;
        }
    }
}
if (g==0) {
if (!isti)
swap(niz[n], niz[n-1]);
}

for (i=1; i<=n; i++) {
    cout << niz[i] << " ";
}

return 0;
}